Toggle navigation
Type: bool
Défaut: off
Contexte: user
Redémarrer: false
Depuis: 9.5

Lorsque activé, l'analyseur émettra un avertissement pour toutes les constructions qui pourraient avoir changé de signification depuis PostgreSQL 9.4 comme conséquence de changements dans la précédence des opérateurs. Cela est utile dans l'audit d'applications pour voir si des changements de précédence ont cassé quelque chose ; mais il n'est pas destiné à être maintenu actif en production, dans la mesure où il lancera des avertissements sur du code SQL standard parfaitement valide. La valeur par défaut est off.

Voir sql-precedence pour plus d'informations.

Commentaires